package com.ruoyi.system.mapper;

import com.ruoyi.system.entity.DragForm;

import java.util.List;

/**
 * 动态表单
 * Mapper接口
 *
 * @author ruoyi
 * @date 2023-07-12
 */
public interface DragFormMapper {
    /**
     * 查询动态表单
     *
     * @param fId 动态表单
     *            主键
     * @return 动态表单
     */
    DragForm selectDragFormByFId(Long fId);

    /**
     * 查询动态表单
     * 列表
     *
     * @param dragForm 动态表单
     * @return 动态表单
     * 集合
     */
    List<DragForm> selectDragFormList(DragForm dragForm);

    /**
     * 新增动态表单
     *
     * @param dragForm 动态表单
     * @return 结果
     */
    int insertDragForm(DragForm dragForm);

    /**
     * 修改动态表单
     *
     * @param dragForm 动态表单
     * @return 结果
     */
    int updateDragForm(DragForm dragForm);

    /**
     * 删除动态表单
     *
     * @param fId 动态表单
     *            主键
     * @return 结果
     */
    int deleteDragFormByFId(Long fId);

    /**
     * 批量删除动态表单
     *
     * @param fIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDragFormByFIds(Long[] fIds);

    /**
     * 根据sqlKey查询动态表单
     */
    DragForm selectDragFormBySqlKey(String sqlKey);


    /**
     * 查询新增表单编号
     */
    int selectDragFormFId();
}
